    if (!window.plus) {
        window.plus = {};
        var __UUID__ = 0;
        function UUID(a) {
            return a + (__UUID__++) + new Date().valueOf();
        }
        function stringify(a) {
            return window.JSON3 ? window.JSON3.stringify(a) :JSON.stringify(a);
        }
        function fireEvent(el, eventName) {
          if (document.createEvent) {
            var evt = document.createEvent('UIEvents');
            evt.initEvent(eventName, true, true);
            el.dispatchEvent(evt);
          } else if (document.createEventObject) {
            el.fireEvent(eventName);
          }
        }
        var callbacks = {};
        plus.bridge = {
            OK:0,
            NO_RESULT:10001,
            PLUGIN_NOT_FOUND:10002,
            CLASS_NOT_FOUND_EXCEPTION:10003,
            PLUGIN_INIT_FAILED:10004,
            INVALID_ACTION:10005,
            JSON_EXCEPTION:10006,
            UNKNOWN_ERROR:10007,
            ERROR:10008,
            exec:function(service, action, args, fn) {
                var ret = window.prompt(stringify(args), "MuPlugin:" + stringify([ service, action, !1, args]));
                var result = eval(ret);
                if (result.status != plus.bridge.OK) {
                    console.log("status:" + result.status + ", errMsg:" + result.message);
                    if (args[0] && (args[0].search("munacallback") == 0)) {
                        delete callbacks[args[0]];
                    }
                }
            },
            execSync:function(service, action, args, fn) {
                var ret = window.prompt(stringify(args), "MuPlugin:" + stringify([ service, action, !0, args]));
                var result = fn ? fn(ret) : eval(ret);
                return result;
            },
            callbackFromNative:function(callbackId, result) {
                var callback = callbacks[callbackId];
                if (callback) {
                    if(result.status == plus.bridge.OK)  {
                        callback.success &&  callback.success(result.message);
                    } else if (result.status == plus.bridge.ERROR) {
                        callback.fail && callback.fail(result.message);
                    } else {
                        var result = {
                            errCode:result.status,
                            errMsg:result.message
                        };
                        callback.fail && callback.fail(result);
                    }
                    if (!result.keepCallback) {
                        delete callbacks[callbackId];
                    }
                }
            },
            callbackId:function(successCallback, failCallback) {
                var callbackId = UUID("munacallback");
                callbacks[callbackId] = {
                    success:successCallback,
                    fail:failCallback
                };
                return callbackId;
            }
        };
        window.plus.isReady = true;
        fireEvent(document, 'plusready');
        console.log("plus ready");
    } else {
        console.log("plus has defined!");
    }